Commit 05ed4b6a authored by Jan Möbius's avatar Jan Möbius

Removed check for Qt less than 5

parent 08e01a88
......@@ -54,11 +54,8 @@
#include <OpenFlipper/BasePlugin/PluginFunctions.hh>
#if QT_VERSION >= 0x050000
#include <QtWidgets>
#else
#include <QtGui>
#endif
//******************************************************************************
......
......@@ -284,6 +284,3 @@ bool VsiPlugin::continueBox (QString _message)
//------------------------------------------------------------------------------
#if QT_VERSION < 0x050000
Q_EXPORT_PLUGIN2(Vsiplugin,VsiPlugin)
#endif
......@@ -79,9 +79,7 @@ class VsiPlugin : public QObject, BaseInterface, MenuInterface, ScriptInterface,
Q_INTERFACES(ScriptInterface)
Q_INTERFACES(RPCInterface)
#if QT_VERSION >= 0x050000
Q_PLUGIN_METADATA(IID "org.OpenFlipper.Plugins.Plugin-VSI")
#endif
signals:
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment